# JSX Highlighting for the Highlighting Gods

JSX and TypeScript are both getting pretty darn popular, we
should definitely support highlighting their syntax in READMEs!


**use \`\`\`jsx for JSX highlightning:**


```jsx
class Thinger extends React.Component {
  constructor(props) {
    super(props)
  }
  render() {
    return (
      <div>{this.whatever}</div>
    )
  }
}
```

**use \`\`\`ts or \`\`\`typescript for TypeScript highlighting:**


```typescript
declare namespace myLib {
    function makeGreeting(s: string): string;
    let numberOfGreetings: number;
}
```

```ts
declare namespace myLib {
    function makeGreeting(s: string): string;
    let numberOfGreetings: number;
}
```
